package Jcg.closestpair;

import Jcg.geometry.*;

/**
 * Interface for closest pair algorithms
 *
 * @author Code by Luca Castelli Aleardi (INF562, Ecole Polytechnique)
 * @version jan 2013
 */
public interface ClosestPair {
	
	/**
	 * Compute the closest pair of a set of points in the plane
	 * @param points the set of points
	 * @return the pair of closest points
	 */
    public PointPair_2 findClosestPair(Point_2[] points);
       
}