package Jcg.graph.arraybased;

import java.util.*;
/**
 * Define the abstract data type for an array based representation of a graph (undirected, not weighted)
 *
 * @author Luca Castelli Aleardi
 */
public interface ArrayBasedGraph {
	
    public void addEdge(int u, int v);
    //public void addEdge(int d, int a, double weight);
    public void removeEdge(int u, int v);
    
    public boolean adjacent(int u, int v);
    public int degree(int index);
    public Collection<Integer> neighbors(int index);
    public int[][] getEdges();
    //public double getWeight(int d, int a);
    //public void setWeight(int d, int a, double weight);
    
    public int sizeVertices();
}
