package Jcg.subdivision;

import Jcg.geometry.*;
import Jcg.polyhedron.Polyhedron_3;

/**
 * Abstract class defining methods for mesh subdivision
 *  
 * @author Luca Castelli Aleardi (INF555, 2012)
 *
 */
public abstract class SubdivisionMethod_3 {

	public Polyhedron_3<Point_3> polyhedron3D;
	
	public SubdivisionMethod_3(Polyhedron_3<Point_3> polyhedron3D) {
		this.polyhedron3D=polyhedron3D;
	}

	/**
	 * The main method performing the subdivision process
	 * To be implemented
	 */
	public abstract void subdivide();

}
