package Jcg.closestpair;

import Jcg.geometry.*;

/**
 * Class representing a pair of points in the plane
 *
 * @author Code by Luca Castelli Aleardi (INF562, Ecole Polytechnique)
 * @version jan 2013
 */
public class PointPair_2 extends Pair<Point_> {

	/**
	 * Construct a pair of points
	 */
	public PointPair_2(Point_2 a, Point_2 b) {
		super(a, b);
	}
  
 /* 
	public String toString() {
		Point_2 first=(Point_2) first, second;
		if(getFirst().getX().doubleValue()<getSecond().getX().doubleValue()) {
			first=getFirst();
			second=getSecond();
		}
		else if(getFirst().getX().doubleValue()>getSecond().getX().doubleValue()) {
			second=getFirst();
			first=getSecond();
		}
		else {
  		  	if(getFirst().getY().doubleValue()<getSecond().getY().doubleValue()) {
  		  		first=getFirst();
  		  		second=getSecond();
  		  	}
  		  	else {
  		  		second=getFirst();
  		  		first=getSecond();
  		  	}
		}
		return "["+first+"-"+second+"]";
	} */
  
	/**
	 * Compute the euclidean distance bewteen the two points
	 */
	public double distance() {
		Point_2 a=(Point_2)getFirst();
		Point_2 b=(Point_2)getSecond();
		return Math.sqrt(a.squareDistance(b).doubleValue());
	}

}

