package Jcg.geometry;

/**
 * Class representing a transformation (arbitrary dimension)
 *
 * @author Luca Castelli Aleardi, Ecole Polytechnique (INF562)
 * @version jan 2013
 */
public interface Transformation_ {
	
	/**
	 * Compute and return the image of p
	 *
	 * @param p the input point
	 * @return the transformed point
	 */
	public Point_ transform(Point_ p);
	
}
