/**
 * 
 */
package Jcg.viewer.editor2d;

import java.awt.CheckboxMenuItem;
import java.awt.Menu;
import java.awt.MenuItem;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * @author Luca Castelli Aleardi, Ecole Polytechnique (INF562)
 * @version dec 2012
 *
 */
class HelpMenu extends Menu implements ActionListener { 
	  Editor2D mw;  
	  public HelpMenu(Editor2D m) { 
	  super("Help"); 
	  mw = m; 
	  MenuItem mi; 
	  add(mi = new MenuItem("Basics")); 
	  mi.addActionListener(this); 
	  add(mi = new MenuItem("Advanced")); 
	  mi.addActionListener(this); 
	  addSeparator(); 
	  add(mi = new CheckboxMenuItem("Manual")); 
	  mi.addActionListener(this); 
	 
	  Menu subMenu = new Menu("Miscellaneous"); 
	  subMenu.add(mi = new MenuItem("Help")); 
	  mi.addActionListener(this); 
	  subMenu.add(mi = new MenuItem("Other Option")); 
	  mi.addActionListener(this); 
	  add(subMenu); 
	  } 
	  
	  public void actionPerformed(ActionEvent e) { 
	  String item = e.getActionCommand(); 
	  if (item.equals("Basics")) 
	  System.out.println("Basics"); 
	  else if (item.equals("Help"))  
	  System.out.println("Help"); 
	  } 

} 
